%define debug_package	%{nil}

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libcaes
Version:	20231120
Release:	1%{?dist}
Summary:	Library to support cross-platform AES encryption
Group:		System Environment/Libraries
License:	LGPLv3+
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl
BuildRequires:	gcc  openssl-devel

%description
Library to support cross-platform AES encryption

%package static
Summary:	Library to support cross-platform AES encryption
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static library version of %{name}.

%package devel
Summary:	Header files and libraries for developing applications for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for %{name}.

%package python%{python3_pkgversion}
Summary:	Python %{python3_pkgversion} bindings for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel

%description python%{python3_pkgversion}
Python %{python3_pkgversion} bindings for %{name}

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif

%files devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so

%changelog
* Mon Nov 20 2023 Joachim Metz <joachim.metz@gmail.com> 20231120-1
- Release 20231120-1
	Version from 20231120-1

* Fri Apr  7 2023 Joachim Metz <joachim.metz@gmail.com> 20230406-1
- Release 20230406-1
	Version from 20230406-1

